org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.nodes

## Class MatchNode

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.nodes.TreeNodeImpl
          - - org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.nodes.MatchNode

All Implemented Interfaces:
  Notifier, EObject, EStructuralFeature.Internal.DynamicValueHolder, InternalEObject, TreeNode

    public class MatchNode
    extends TreeNodeImpl

This class is wrapper for TreeNode used to represent a match TreeNode.

Since:
  4.3

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`MinimalEObjectImpl.Container.Dynamic`

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`MinimalEObjectImpl.Container`

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`BasicNotifierImpl.EAdapterList<E extends Object & Adapter>, BasicNotifierImpl.EObservableAdapterList`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`InternalEObject.EStore`

### Field Summary

### Fields inherited from class org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.nodes.TreeNodeImpl

`children, data`

### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eContainer`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

### Constructor Summary

Constructors
Constructor and Description
`MatchNode(Match match)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `addDiffNode(DiffNode diffNode)` Add the given DiffNode to the children of this MatchNode.
`boolean` `addSubMatchNode(MatchNode matchNode)` Add the given MatchNode to the children of this MatchNode.
`Iterable<DiffNode>` `getDiffNodes()` Get all the diffs that are part of the match
`Match` `getMatch()` Getter for the match represented by this TreeNode.
`Iterable<MatchNode>` `getSubMatchNodes()` Get all the match trees that are submatches of the match
`boolean` `removeDiffNode(DiffNode diffNode)` Remove the given DiffNode of the children of this MatchNode.
`boolean` `removeSubMatchNode(MatchNode matchNode)` Remove the given MatchNode of the children of this MatchNode.

### Methods inherited from class org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.nodes.TreeNodeImpl

`basicGetData, basicSetParent, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eIsSet, eSet, eStaticClass, eUnset, getChildren, getData, getParent, setData, setParent`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eBasicSetContainer, eInternalContainer`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetDirectResource, eSetProxyURI, eSettings`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Constructor Detail

#### MatchNode

    public MatchNode(Match match)

Constructor.

Parameters:
  `match` - The match represented by this TreeNode

### Method Detail

#### addSubMatchNode

    public boolean addSubMatchNode(MatchNode matchNode)

Add the given MatchNode to the children of this MatchNode.

Parameters:
  `matchNode` - The MatchNode to add
Returns:
  `true` if the MatchNode has been added

#### addDiffNode

    public boolean addDiffNode(DiffNode diffNode)

Add the given DiffNode to the children of this MatchNode.

Parameters:
  `diffNode` - The DiffNode to add
Returns:
  `true` if the DiffNode has been added

#### removeSubMatchNode

    public boolean removeSubMatchNode(MatchNode matchNode)

Remove the given MatchNode of the children of this MatchNode.

Parameters:
  `matchNode` - The MatchNode to remove
Returns:
  `true` if the MatchNode has been removed

#### removeDiffNode

    public boolean removeDiffNode(DiffNode diffNode)

Remove the given DiffNode of the children of this MatchNode.

Parameters:
  `diffNode` - The DiffNode to remove
Returns:
  `true` if the DiffNode has been removed

#### getMatch

    public Match getMatch()

Getter for the match represented by this TreeNode.

Returns:
  the match

#### getSubMatchNodes

    public Iterable<MatchNode> getSubMatchNodes()

Get all the match trees that are submatches of the match

Returns:
  an iterable of all submatches

#### getDiffNodes

    public Iterable<DiffNode> getDiffNodes()

Get all the diffs that are part of the match

Returns:
  an iterable of all directly contained diffs